import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class TargetReticle here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TargetReticle extends Actor
{
    private int timeLeft;
    /**
     * Act - do whatever the TargetReticle wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public TargetReticle()
    {
        Greenfoot.playSound("MissileLock.mp3");
        timeLeft = 100;
    }
    
    public void act() 
    {
        timer();
    }    
    
    public void timer() //after the timer removes, it spawns an explosion
    {
        timeLeft--;
        if (timeLeft <= 0)
        {
            World world = getWorld();
            killPlayer();
            world.addObject(new BossMagic(), this.getX(), this.getY());
            world.removeObject(this);
        }
    }
    
    public void killPlayer() //if the player is on the target, it is killed.
    {
        if (isTouching(Player.class))
        {
            Player killedPlayer = (Player)getOneIntersectingObject(Player.class);
            World world = getWorld();
            world.removeObject(killedPlayer);
        }
    }
}
