import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class DeathExplosion here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class NukeExplosion extends Gifs
{
    GifImage gifImage = new GifImage("NukeExplosion.gif");
    /**
     * Act - do whatever the NukeExplosion wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setImage(gifImage.getCurrentImage());
        gifTimer();
        if (time == 85) //setting a delay on the nuke's destruction
        {
            Greenfoot.playSound("NukeExplosion.mp3");
            World world = getWorld();
            List<Enemy> enemies = getObjectsInRange(600,Enemy.class);
            List finalBossDetect = getObjectsInRange(1000,FinalBoss.class);
            if (finalBossDetect.size() > 0)
            {
                world.removeObject(this); //NUKES HAVE NO POWER AGAINST THE FINAL BOSS
            }
            else if (enemies.size() > 0)
            {
                int size = enemies.size();
                world.removeObjects(enemies);
                Ground ground = (Ground)getWorld();
                ScoreBoard scoreBoard = ground.scoreBoardIndicator();
                scoreBoard.update(size);
            }
        }
    }
    
    public NukeExplosion()
    {
        Greenfoot.playSound("Siren.mp3");
        time = 200;
    }
}
