import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player extends Moving
{
    public boolean keyDown;
    private int speedSideways;
    private int speedForward;
    private int speedBackward;
    private int reloadTimeMissile;
    private int reloadTimeLaser;
    public Player()
    {
        keyDown = false;
        reloadTimeMissile = 50;
        reloadTimeLaser = 5;
        speedSideways = 12;
        speedForward = 7;
        speedBackward = 10;
    }
    
    public void act() 
    {
        processKeys();
    }  
    
    public void processKeys() //processes controls: up, down, left, right, space, x, c.
    {
        reloadTimeMissile--;
        reloadTimeLaser--;
        if(Greenfoot.isKeyDown("left"))
        {
             setLocation(getX() - speedSideways, getY());
        }
        else if(Greenfoot.isKeyDown("right"))
        {
             setLocation(getX() + speedSideways, getY());
        }
        if(Greenfoot.isKeyDown("up"))
        {
             setLocation(getX(), getY() - speedForward);
        }
        else if(Greenfoot.isKeyDown("down"))
        {
             setLocation(getX(), getY() + speedBackward);
        }
        if(reloadTimeLaser <= 0)
        {
                if(Greenfoot.isKeyDown("space"))
                {
                    fire(new Laser());
                    Greenfoot.playSound("laserShot.mp3");
                    reloadTimeLaser = 5;
                }   
        }
        if (reloadTimeMissile <= 0 && MissileCount.getMissiles() > 0)
        {
                if(Greenfoot.isKeyDown("x"))
                {
                    fire(new Missile());
                    Greenfoot.playSound("Rocket.mp3");
                    reloadTimeMissile = 50;
                    Ground world = (Ground)getWorld();
                    MissileCount missileCount = world.missileCountIndicator();
                    missileCount.update(Missile.missileValue());
                }
        }
        if (BouncingLaserIndicator.getLasers() > 0)
        {
            if(Greenfoot.isKeyDown("c"))
            {
                fire(new HomingLaser());
                final int MINUSONEBOUNCINGLASER = 1;
                
                Ground world = (Ground)getWorld();
                BouncingLaserIndicator bli = world.bli();
                bli.update(MINUSONEBOUNCINGLASER);
            }
        }
    }
    
    public void fire(Weapon w) //fires any weapon
    {
        World world = getWorld();
        
        final int MOVETOLEFTHANDX = this.getX()-25;
        final int MOVETOLEFTHANDY = this.getY()-20;
        
        world.addObject(w,MOVETOLEFTHANDX,MOVETOLEFTHANDY);  
    }
}
