import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class PowerUp here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PowerUp extends Actor
{
    private int powerUpType_;
    private int speed;
    public static int duration;
    public static final int FORCEFIELD = 1;
    public static final int NUKE = 2;
    public static final int FREEMISSILE = 3;
    public static final int BOUNCINGLASERTYPE = 4;
    /**
     * Act - do whatever the PowerUp wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public PowerUp()
    {
        turn(90);
    }
    
    public void act() 
    {
        touchingPlayer();
    }    
    
    public void setPowerUpType(int powerUpType) //allows to set the type
    {
        powerUpType_ = powerUpType;
    }
    
    public void touchingPlayer()
    {      
       World world = getWorld();
       int x = this.getX();
       int y = this.getY();
       
       if(isTouching(Player.class)) //different types do different things
       {
            if (powerUpType_ == FORCEFIELD)
            {
                world.addObject(new Invincibility(),x,y);
            }
            else if (powerUpType_ == NUKE)
            {
                 world.addObject(new NukeExplosion(),x,y);
            }
            else if (powerUpType_ == FREEMISSILE)
            {
                final int NEGATIVE_CHANGE = -1;
                MissileCount.update(NEGATIVE_CHANGE); //plus one missile
                Greenfoot.playSound("GunReload.mp3");
            }
            else  if (powerUpType_ == BOUNCINGLASERTYPE)
            {
                world.addObject(new BouncingLaserIndicator(""),125,775);
                final int PLUSONEBOUNCINGLASER = -1; //plus one bouncing laser
                BouncingLaserIndicator.update(PLUSONEBOUNCINGLASER);
            }
            world.removeObject(this); //removes the power up after it has been picked up
       }
    }
}
